#include <iostream>
#include <string>
#include <vector>
using namespace std;

int find_number(int MAX){
    int min=0;
    MAX++;
    while ( min < MAX){
        int mid= (min+ MAX)/2;
        if (smaller(mid)){
            min= mid+1;
        }
        else{
            MAX=mid-1;
        }
    }
    return min;
}
